Skip to main content
`Ctrl`+`K`

# Pix2Sky_BonneEqualArea

class astropy.modeling.projections.Pix2Sky_BonneEqualArea(*args, **kwargs)

  Bases: `Pix2SkyProjection`, `PseudoConic`

  Bonne’s equal area pseudoconic projection - pixel to sky.

  Corresponds to the `BON` projection in FITS WCS.

  \[\begin{split}\phi &= \frac{\pi}{180^\circ} A_\phi R_\theta / \cos \theta \\ \theta &= Y_0 - R_\theta\end{split}\]

  where:

  \[\begin{split}R_\theta &= \mathrm{sign} \theta_1 \sqrt{x^2 + (Y_0 - y)^2} \\ A_\phi &= \arg\left(\frac{Y_0 - y}{R_\theta}, \frac{x}{R_\theta}\right)\end{split}\]
  Parameters:
    theta1 `python:float`

      Bonne conformal latitude, in degrees.

  Attributes Summary

  `param_names` | Names of the parameters that describe models of this type.
  `theta1` |

  Attributes Documentation

  param_names = ('theta1',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  theta1 = _ParameterDS('theta1', value=0.0)